Package jcifs.smb

# Class NtlmAuthenticator

java.lang.Object
jcifs.smb.NtlmAuthenticator

public abstract class NtlmAuthenticator extends Object
This class can be extended by applications that wish to trap authentication related exceptions and automatically retry the exceptional operation with different credentials. Read jCIFS Exceptions and NtlmAuthenticator for complete details.

## Constructor Summary

Constructors
Constructor
Description
`NtlmAuthenticator()`

## Method Summary

Modifier and Type
Method
Description
`protected NtlmPasswordAuthentication`
`getNtlmPasswordAuthentication()`
An application extending this class must provide an implementation for this method that returns new user credentials try try when accessing SMB resources described by the `getRequestingURL` and `getRequestingException` methods.
`protected final SmbAuthException`
`getRequestingException()`
`protected final String`
`getRequestingURL()`
`static NtlmPasswordAuthentication`
`requestNtlmPasswordAuthentication(String url, SmbAuthException sae)`
Used internally by jCIFS when an `SmbAuthException` is trapped to retrieve new user credentials.
`static void`
`setDefault(NtlmAuthenticator a)`
Set the default `NtlmAuthenticator`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NtlmAuthenticator

public NtlmAuthenticator()

## Method Details

### setDefault

public static void setDefault(NtlmAuthenticator a)
Set the default `NtlmAuthenticator`. Once the default authenticator is set it cannot be changed. Calling this metho again will have no effect.

### getRequestingURL

protected final String getRequestingURL()

### getRequestingException

protected final SmbAuthException getRequestingException()

### requestNtlmPasswordAuthentication

public static NtlmPasswordAuthentication requestNtlmPasswordAuthentication(String url, SmbAuthException sae)
Used internally by jCIFS when an `SmbAuthException` is trapped to retrieve new user credentials.

### getNtlmPasswordAuthentication

protected NtlmPasswordAuthentication getNtlmPasswordAuthentication()
An application extending this class must provide an implementation for this method that returns new user credentials try try when accessing SMB resources described by the `getRequestingURL` and `getRequestingException` methods. If this method returns `null` the `SmbAuthException` that triggered the authenticator check will simply be rethrown. The default implementation returns `null`.